project(UnidadeMemoria)
cmake_minimum_required(VERSION 3.3)

set(SRC_FILES unidadememoria.c unidadememoria.h)
include_directories(${PROJECT_SOURCE_DIR})
add_library(UnidadeMemoria SHARED ${SRC_FILES})

MESSAGE(STATUS "Build Step: UnidadeMemoria")
MESSAGE(STATUS "Build type: " ${CMAKE_BUILD_TYPE})
MESSAGE(STATUS "Library Type: " ${LIB_TYPE})
MESSAGE(STATUS "Compiler flags:" ${CMAKE_CXX_COMPILE_FLAGS})
MESSAGE(STATUS "Compiler cxx debug flags:" ${CMAKE_CXX_FLAGS_DEBUG})
MESSAGE(STATUS "Compiler cxx release flags:" ${CMAKE_CXX_FLAGS_RELEASE})
MESSAGE(STATUS "Compiler cxx min size flags:" ${CMAKE_CXX_FLAGS_MINSIZEREL})
MESSAGE(STATUS "Compiler cxx flags:" ${CMAKE_CXX_FLAGS})
